%define _prefix /opt/moxiedev
%define _sysconfdir /opt/moxiedev/etc

Name:		moxiedev-qemu
Version:	1.7.50
Release:	0.27%{?dist}
Summary:	QEMU port to the moxie architecture

Group:		Development/Tools
License:	GPL
URL:		http://moxielogic.com/blog
Source0:	moxie-qemu.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  zlib-devel SDL-devel glib2-devel pixman-devel
Requires:	qemu qemu-img

%description
This is a port of qemu to the moxie core.

%prep
%setup -q -n qemu

%build
CFLAGS="%optflags" ./configure \
		   --disable-werror \
		   --prefix=%_prefix \
		   --target-list=moxie-softmmu
%__make tooldir=%_prefix all 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_ROOT%{_datadir}/qemu
#rm -f $RPM_BUILD_ROOT%{_bindir}/qemu-img
#rm -f $RPM_BUILD_ROOT%{_bindir}/qemu-nbd
#rm -f $RPM_BUILD_ROOT%{_bindir}/qemu-io

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libexecdir}/*
%{_sysconfdir}/qemu
%{_datadir}/qemu
%doc COPYING*

%changelog
* Thu Mar 20 2014 Anthony Green <green@moxielogic.com> 1.7.50-1
- Created.
